# Functor Cryptmodes_64.Make_modes

    module Make_modes: functor (M : Cryptsystem_64.T) -> T  with type key = M.key

Parameters:

`M` | : | `Cryptsystem_64.T`

    type key

CIPHER BLOCK CHAINING MODE

    val encrypt_cbc : key ->
           int * int * int * int -> string -> (int * int * int * int) * string

    val decrypt_cbc : key ->
           int * int * int * int -> string -> (int * int * int * int) * string

8 BIT CIPHER-FEEDBACK MODE

    val encrypt_cfb8 : key ->
           int * int * int * int -> string -> (int * int * int * int) * string

    val decrypt_cfb8 : key ->
           int * int * int * int -> string -> (int * int * int * int) * string

64 BIT CIPHER-FEEDBACK MODE

    val encrypt_cfb64 : key ->
           int * int * int * int ->
           int -> string -> (int * int * int * int) * int * string

    val decrypt_cfb64 : key ->
           int * int * int * int ->
           int -> string -> (int * int * int * int) * int * string

OUTPUT-FEEDBACK MODE (64 bit)

    val crypt_ofb : key ->
           int * int * int * int ->
           int -> string -> (int * int * int * int) * int * string